<?php

//use App\Globales;

return [

    /*
    |--------------------------------------------------------------------------
    | Title
    |--------------------------------------------------------------------------
    |
    | Here you can change the default title of your admin panel.
    |
    | For detailed instructions you can look the title section here:
    | https://github.com/jeroennoten/Laravel-AdminLTE/wiki/Basic-Configuration
    |
    */

    'title' => '', //Globales::global("nombre_sistema")->valor,
    'title_prefix' => '',
    'title_postfix' => '',

    /*
    |--------------------------------------------------------------------------
    | Favicon
    |--------------------------------------------------------------------------
    |
    | Here you can activate the favicon.
    |
    | For detailed instructions you can look the favicon section here:
    | https://github.com/jeroennoten/Laravel-AdminLTE/wiki/Basic-Configuration
    |
    */

    'use_ico_only' => false,
    'use_full_favicon' => false,

    /*
    |--------------------------------------------------------------------------
    | Logo
    |--------------------------------------------------------------------------
    |
    | Here you can change the logo of your admin panel.
    |
    | For detailed instructions you can look the logo section here:
    | https://github.com/jeroennoten/Laravel-AdminLTE/wiki/Basic-Configuration
    |
    */

    'logo' => '', //Globales::global("texto_logo")->valor,
    'logo_img' => '', //Globales::global("url_logo")->valor,
    'logo_img_class' => 'brand-image img-circle elevation-3',
    'logo_img_xl' => null,
    'logo_img_xl_class' => 'brand-image-xs',
    'logo_img_alt' => '', //Globales::global("nombre_sistema")->valor,

    /*
    |--------------------------------------------------------------------------
    | User Menu
    |--------------------------------------------------------------------------
    |
    | Here you can activate and change the user menu.
    |
    | For detailed instructions you can look the user menu section here:
    | https://github.com/jeroennoten/Laravel-AdminLTE/wiki/Basic-Configuration
    |
    */

    'usermenu_enabled' => false,
    'usermenu_header' => false,
    'usermenu_header_class' => 'bg-primary',
    'usermenu_image' => false,
    'usermenu_desc' => false,
    'usermenu_profile_url' => false,

    /*
    |--------------------------------------------------------------------------
    | Layout
    |--------------------------------------------------------------------------
    |
    | Here we change the layout of your admin panel.
    |
    | For detailed instructions you can look the layout section here:
    | https://github.com/jeroennoten/Laravel-AdminLTE/wiki/Layout-and-Styling-Configuration
    |
    */

    'layout_topnav' => null,
    'layout_boxed' => null,
    'layout_fixed_sidebar' => true,
    'layout_fixed_navbar' => true,
    'layout_fixed_footer' => null,
    'layout_dark_mode' => null,

    /*
    |--------------------------------------------------------------------------
    | Authentication Views Classes
    |--------------------------------------------------------------------------
    |
    | Here you can change the look and behavior of the authentication views.
    |
    | For detailed instructions you can look the auth classes section here:
    | https://github.com/jeroennoten/Laravel-AdminLTE/wiki/Layout-and-Styling-Configuration
    |
    */

    'classes_auth_card' => 'card-outline card-primary',
    'classes_auth_header' => '',
    'classes_auth_body' => '',
    'classes_auth_footer' => '',
    'classes_auth_icon' => '',
    'classes_auth_btn' => 'btn-flat btn-primary',

    /*
    |--------------------------------------------------------------------------
    | Admin Panel Classes
    |--------------------------------------------------------------------------
    |
    | Here you can change the look and behavior of the admin panel.
    |
    | For detailed instructions you can look the admin panel classes here:
    | https://github.com/jeroennoten/Laravel-AdminLTE/wiki/Layout-and-Styling-Configuration
    |
    */

    'classes_body' => '',
    'classes_brand' => '',
    'classes_brand_text' => '',
    'classes_content_wrapper' => '',
    'classes_content_header' => '',
    'classes_content' => '',
    'classes_sidebar' => 'sidebar-dark-primary elevation-4',
    'classes_sidebar_nav' => '',
    'classes_topnav' => 'navbar-white navbar-light',
    'classes_topnav_nav' => 'navbar-expand',
    'classes_topnav_container' => 'container',

    /*
    |--------------------------------------------------------------------------
    | Sidebar
    |--------------------------------------------------------------------------
    |
    | Here we can modify the sidebar of the admin panel.
    |
    | For detailed instructions you can look the sidebar section here:
    | https://github.com/jeroennoten/Laravel-AdminLTE/wiki/Layout-and-Styling-Configuration
    |
    */

    'sidebar_mini' => 'lg',
    'sidebar_collapse' => false,
    'sidebar_collapse_auto_size' => false,
    'sidebar_collapse_remember' => false,
    'sidebar_collapse_remember_no_transition' => true,
    'sidebar_scrollbar_theme' => 'os-theme-light',
    'sidebar_scrollbar_auto_hide' => 'l',
    'sidebar_nav_accordion' => true,
    'sidebar_nav_animation_speed' => 300,

    /*
    |--------------------------------------------------------------------------
    | Control Sidebar (Right Sidebar)
    |--------------------------------------------------------------------------
    |
    | Here we can modify the right sidebar aka control sidebar of the admin panel.
    |
    | For detailed instructions you can look the right sidebar section here:
    | https://github.com/jeroennoten/Laravel-AdminLTE/wiki/Layout-and-Styling-Configuration
    |
    */

    'right_sidebar' => false,
    'right_sidebar_icon' => 'fas fa-cogs',
    'right_sidebar_theme' => 'dark',
    'right_sidebar_slide' => true,
    'right_sidebar_push' => true,
    'right_sidebar_scrollbar_theme' => 'os-theme-light',
    'right_sidebar_scrollbar_auto_hide' => 'l',

    /*
    |--------------------------------------------------------------------------
    | URLs
    |--------------------------------------------------------------------------
    |
    | Here we can modify the url settings of the admin panel.
    |
    | For detailed instructions you can look the urls section here:
    | https://github.com/jeroennoten/Laravel-AdminLTE/wiki/Basic-Configuration
    |
    */

    'use_route_url' => false,
    'dashboard_url' => 'home',
    'logout_url' => 'logout',
    'login_url' => 'login',
    'register_url' => 'register',
    'password_reset_url' => 'password/reset',
    'password_email_url' => 'password/email',
    'profile_url' => false,

    /*
    |--------------------------------------------------------------------------
    | Laravel Mix
    |--------------------------------------------------------------------------
    |
    | Here we can enable the Laravel Mix option for the admin panel.
    |
    | For detailed instructions you can look the laravel mix section here:
    | https://github.com/jeroennoten/Laravel-AdminLTE/wiki/Other-Configuration
    |
    */

    'enabled_laravel_mix' => false,
    'laravel_mix_css_path' => 'css/app.css',
    'laravel_mix_js_path' => 'js/app.js',

    /*
    |--------------------------------------------------------------------------
    | Menu Items
    |--------------------------------------------------------------------------
    |
    | Here we can modify the sidebar/top navigation of the admin panel.
    |
    | For detailed instructions you can look here:
    | https://github.com/jeroennoten/Laravel-AdminLTE/wiki/Menu-Configuration
    |
    */

    'menu' => [
        // Navbar items:
        [
            'type'         => 'navbar-search',
            'text'         => 'buscar',
            'topnav_right' => true,
        ],
        [
            'type'         => 'fullscreen-widget',
            'topnav_right' => true,
        ],

        // Sidebar items:
        //[
        //    'type' => 'sidebar-menu-search',
        //    'text' => 'buscar',
        //],
        ['header' => 'Menú'],
        [
            'text' => 'Inicio',
            'url'  => '/home',
            'icon' => 'fas fa-home',
        ],
        [
            'text' => 'Caja de efectivo',
            'url'  => '/cajas-efectivo',
            'icon' => 'fas fa-dollar-sign',
        ],
        [
            'text' => 'POS',
            'url'  => '/pos',
            'icon'    => 'fas fa-fw fa-cart-plus',
        ],
        
        [
            'text'    => 'Ventas',
            'icon' => 'fas fa-shopping-cart',
            'can'     => ['facturar', 'ventas', 'proformas', 'notas-credito', 'notas-debito', 'retenciones', 'guias-remision'],
            'submenu' => [
                [
                    'text' => 'Facturar',
                    'url'  => '/facturar',
                    'can' => ['facturar']
                ],
                [
                    'text' => 'Facturas programadas',
                    'url'  => '/facturas-programadas',
                    'can' => ['facturar']
                ],
             
                [
                    'text' => 'Listado de ventas',
                    'url'  => '/ventas',
                    'can' => ['ventas']
                ],
            
                [
                    'text' => 'Notas de crédito',
                    'url'  => '/notas-credito',
                    'can' => ['notas-credito']
                ],
             
                [
                    'text' => 'Guías de remisión',
                    'url'  => '/guias-remision',
                    'can' => ['guias-remision']
                ],
                [
                    'text' => 'Notas de débito',
                    'url'  => '/notas-debito',
                    'can' => ['notas-debito']
                ],
                [
                    'text' => 'Proformas',
                    'url'  => '/proformas',
                    'can' => ['proformas']
                ],
                [
                    'text' => 'Retenciones',
                    'url'  => '/retenciones',
                    'can' => ['retenciones']
                ],
            ],
        ],
        [
            'text'    => 'Compras/Gastos',
            'icon'    => 'fas fa-fw fa-dolly',
            'can'     => ['compras', 'gastos', 'retenciones-compra', 'notas-credito-compra', 'notas-debito-compra', 'guias-remision-compra', 'liquidaciones-compras'],
            'submenu' => [
                [
                    'text' => 'Compras',
                    'url'  => '/compras',
                    'can' => ['compras']
                ],
                [
                    'text' => 'Gastos',
                    'url'  => '/gastos',
                    'can' => ['gastos']
                ],
                [
                    'text' => 'Retenciones',
                    'url'  => '/retenciones-compra',
                    'can' => ['retenciones-compra']
                ],
                [
                    'text' => 'Notas de crédito',
                    'url'  => '/notas-credito-compra',
                    'can' => ['notas-credito-compra']
                ],
                [
                    'text' => 'Notas de crédito',
                    'url'  => '/notas-debito-compra',
                    'can' => ['notas-debito-compra']
                ],
                [
                    'text' => 'Guías de remisión',
                    'url'  => '/guias-remision-compra',
                    'can' => ['guias-remision-compra']
                ],
                [
                    'text' => 'Liquidaciones de compra',
                    'url'  => '/liquidaciones-compras',
                    'can' => ['liquidaciones-compras']
                ],
            ],
        ],

        [
            'text'    => 'Créditos',
            'url'     => '/creditos',
            'icon'    => ' fas fa-credit-card',
        ],
        [
            'text'    => 'Cuentas por pagar',
            'url'     => '/cuentas-por-pagar',
            'icon'    => 'far fa-credit-card',
        ],
        [
            'text'    => 'Anticipos',
            'url'     => '/anticipos',
            'icon'    => 'far fa-credit-card',
        ],
        [
            'text'    => 'Inventario',
            'icon'    => 'fas fa-fw fa-box',
            'can'     => ['kardex', 'productos', 'unidades', 'filtros', 'precios'],
            'submenu' => [
                [
                    'text' => 'Productos',
                    'url'  => '/productos',
                    'can' => ['productos']
                ],
                [
                    'text' => 'Kardex',
                    'url'  => '/kardex',
                    'can' => ['kardex']
                ],
                [
                    'text'    => 'Configuración',
                    'icon'    => 'fas fa-fw fa-wrench',
                    'can'     => ['unidades', 'filtros', 'precios'],
                    'submenu' => [
                        [
                            'text' => 'Unidades de medida',
                            'url'  => '/unidades',
                            'can' => ['unidades']
                        ],
                        [
                            'text' => 'Filtros',
                            'url'  => '/filtros',
                            'can' => ['filtros']
                        ],
                        [
                            'text' => 'Tipos de precio',
                            'url'  => '/precios',
                            'can' => ['precios']
                        ],
                    ]
                ],
            ],
        ],
        [
            'text'    => 'Documentos SRI',
            'icon'    => 'fas fa-fw fa-file',
            'can'     => ['documentos', 'carga-masiva','superuser'],
            'submenu' => [
                [
                    'text' => 'Documentos recibidos',
                    'url'  => '/documentos',
                    'can' => ['documentos','superuser']
                ],
                [
                    'text' => 'Carga Masiva XML-TXT',
                    'url'  => '/carga-masiva',
                    'can' => ['carga-masiva','superuser']
                ],
            ],
        ],
        [
            'text'    => 'Contabilidad',
            'icon'    => 'fas fa-fw fa-book',
            'can'     => ['asientos', 'categorias', 'centros-costos', 'planes-cuentas', 'tipos-asientos'],
            'submenu' => [
                [

                    'text'    => 'Configuración',
                    'icon'    => 'fas fa-fw fa-wrench',
                    'can'     => ['categorias', 'centros-costos', 'planes-cuentas'],
                    'submenu' => [

                        [
                            'text' => 'Asientos contables',
                            'url'  => '/asientos',
                            'can' => ['asientos']
                        ],
                        [
                            'text' => 'Planes de cuenta',
                            'url'  => '/planes-cuentas',
                            'can' => ['planes-cuentas']
                        ],
                        [
                            'text' => 'Categorías contables',
                            'url'  => '/categorias',
                            'can' => ['categorias']
                        ],
                        [
                            'text' => 'Centros de costo',
                            'url'  => '/centros-costos',
                            'can' => ['centros-costos']
                        ],
                        [
                            'text' => 'Tipos de asientos contables',
                            'url'  => '/tipos-asientos',
                            'can' => ['tipos-asientos']
                        ],

                    ],
                ],
            ],
        ],
        [
            'text'    => 'Reportes',
            'icon'    => 'fas fa-fw fa-book',
            'can'     => ['usuarios'],
            'submenu' => [
                [
                    'text' => 'Libro Mayor',
                    'url'  => '/libro-mayor',
                    'can' => ['usuarios']
                ],
                [
                    'text' => 'Balance General',
                    'url'  => '/balance-general',
                    'can' => ['usuarios']
                ],
            
                [
                    'text' => 'Balance de P y G',
                    'url'  => '/balance-de-p-y-g',
                    'can' => ['usuarios']
                ],
                [
                    'text' => 'Balance de Comprobación',
                    'url'  => '/balance-de-comprobacion',
                    'can' => ['usuarios']
                ],
             
                [
                    'text' => 'Flujo de Caja',
                    'url'  => '/flujo-de-caja',
                    'can' => ['usuarios']
                ],
            ]
        ],
        [
            'text'    => 'Gestion',
            'icon'    => 'fas fa-fw fa-building',
            'can'     => ['almacenes', 'empresas', 'sucursales', 'puntos', 'cajas'],
            'submenu' => [
                [
                    'text' => 'Empresas',
                    'url'  => '/empresas',
                    'can' => ['empresas']
                ],
                [
                    'text' => 'Sucursales',
                    'url'  => '/sucursales',
                    'can' => ['sucursales']
                ],

                [
                    'text' => 'Almacenes',
                    'url'  => '/almacenes',
                    'can' => ['almacenes']
                ],
                [
                    'text' => 'Puntos',
                    'url'  => '/puntos',
                    'can' => ['puntos']
                ],
                [
                    'text' => 'Cajas',
                    'url'  => '/cajas',
                    'can' => ['cajas']
                ],
            ],
        ],
        [
            'text'    => 'Personas',
            'icon'    => 'fas fa-fw fa-users',
            'can'     => ['clientes', 'proveedores', 'empleados', 'transportistas', 'vendedores','accionistas'],
            'submenu' => [
                [
                    'text' => 'Accionistas',
                    'url'  => '/accionistas',
                    'can' => [['usuarios']]
                ],
                [
                    'text' => 'Clientes',
                    'url'  => '/clientes',
                    'can' => ['clientes']
                ],
                [
                    'text' => 'Proveedores',
                    'url'  => '/proveedores',
                    'can' => ['proveedores']
                ],
                [
                    'text' => 'Empleados',
                    'url'  => '/empleados',
                    'can' => ['empleados']
                ],
                [
                    'text' => 'Vendedores',
                    'url'  => '/vendedores',
                    'can' => ['vendedores']
                ],
                [
                    'text' => 'Transportistas',
                    'url'  => '/transportistas',
                    'can' => ['transportistas']
                ],
            ],
        ],
        [
            'text'    => 'Configuración',
            'icon'    => 'fas fa-fw fa-wrench',
            'can'     => ['superuser', 'usuarios', 'roles'],
            'submenu' => [
                [
                    'text'    => 'Bancos',
                    'url'     => '/configuracion/bancos',
                    'can'     => ['configuracion-sistema']
                ],
                [
                    'text'    => 'Configuración general',
                    // 'icon'    => 'fas fa-fw fa-screwdriver',
                    'url'     => '/configuracion-sistema',
                    'can'     => ['configuracion-sistema']
                ],
                [
                    'text' => 'Usuarios',
                    'url'  => '/usuarios',
                    'can' => ['superuser', 'usuarios']
                ],
                [
                    'text' => 'Roles',
                    'url'  => '/roles',
                    'can' => ['roles']
                ],
                [
                    'text'    => 'Tarjetas',
                    'url'     => '/configuracion/tarjetas',
                    'can'     => ['configuracion-sistema']
                ],
                [
                    'text' => 'Temas - Colores',
                    'url'  => '/temas',
                    'can' => ['superuser', 'usuarios']
                ],

            ],
        ],
        [
            'text'    => 'Reportes',
            'icon'    => 'fas fa-fw fa-book-medical',
            'can'     => ['historias'],
            'submenu' => [
                [
                    'text' => 'Historial de acciones',
                    'url'  => '/historias',
                    'can' => ['historias']
                ],
            ],
        ],
        [
            'text'    => 'Super Admin',
            'icon'    => 'fas fa-fw fa-user-tag',
            'can'     => ['superuser'],
            'submenu' => [
                [
                    'text' => 'Configuración global',
                    'url'  => '/admin/globales',
                    'can' => ['superuser']
                ],
                [
                    'text' => 'Sistemas',
                    'url'  => '/admin/sistemas',
                    'can' => ['superuser']
                ],
                [
                    'text' => 'Planes',
                    'url'  => '/admin/planes',
                    'can' => ['superuser']
                ],
                [
                    'text' => 'Tipos de asientos contables',
                    'url'  => '/tipos-asientos-globales',
                    'can' => ['superuser']
                ],
                [
                    'text' => 'Agentes de retención',
                    'url'  => '/agentes',
                    'can' => ['superuser']
                ],
                [
                    'text' => 'Impuestos',
                    'url'  => '/admin/impuestos',
                    'can' => ['superuser']
                ],
                [
                    'text' => 'Conceptos',
                    'url'  => '/conceptos',
                    'can' => ['superuser']
                ],
                [
                    'text' => 'Administración general',
                    'url'  => '/admin-general',
                    'can' => ['superuser']
                ],
                [
                    'text'    => 'Cerrar sistema',
                    'url'     => '/cerrar-sistema',
                    'icon'    => 'fas fa-fw fa-screwdriver',
                    'can'     => ['superuser', 'essistema'],
                    'classes' => 'text-danger text-bold',
                ],
            ],
        ],
        [
            'text'    => 'Documentacion',
            'url'     => '/admin/documentacion',
            'icon'    => 'fas fa-fw fa-paste',
            'can'     => ['superuser'],
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | Menu Filters
    |--------------------------------------------------------------------------
    |
    | Here we can modify the menu filters of the admin panel.
    |
    | For detailed instructions you can look the menu filters section here:
    | https://github.com/jeroennoten/Laravel-AdminLTE/wiki/Menu-Configuration
    |
    */

    'filters' => [
        JeroenNoten\LaravelAdminLte\Menu\Filters\GateFilter::class,
        JeroenNoten\LaravelAdminLte\Menu\Filters\HrefFilter::class,
        JeroenNoten\LaravelAdminLte\Menu\Filters\SearchFilter::class,
        JeroenNoten\LaravelAdminLte\Menu\Filters\ActiveFilter::class,
        JeroenNoten\LaravelAdminLte\Menu\Filters\ClassesFilter::class,
        JeroenNoten\LaravelAdminLte\Menu\Filters\LangFilter::class,
        JeroenNoten\LaravelAdminLte\Menu\Filters\DataFilter::class,
    ],

    /*
    |--------------------------------------------------------------------------
    | Plugins Initialization
    |--------------------------------------------------------------------------
    |
    | Here we can modify the plugins used inside the admin panel.
    |
    | For detailed instructions you can look the plugins section here:
    | https://github.com/jeroennoten/Laravel-AdminLTE/wiki/Plugins-Configuration
    |
    */

    'plugins' => [
        'Datatables' => [
            'active' => false,
            'files' => [
                [
                    'type' => 'js',
                    'asset' => false,
                    'location' => '//cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js',
                ],
                [
                    'type' => 'js',
                    'asset' => false,
                    'location' => '//cdn.datatables.net/1.10.19/js/dataTables.bootstrap4.min.js',
                ],
                [
                    'type' => 'css',
                    'asset' => false,
                    'location' => '//cdn.datatables.net/1.10.19/css/dataTables.bootstrap4.min.css',
                ],
            ],
        ],
        'Select2' => [
            'active' => false,
            'files' => [
                [
                    'type' => 'js',
                    'asset' => false,
                    'location' => '//cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js',
                ],
                [
                    'type' => 'css',
                    'asset' => false,
                    'location' => '//cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.css',
                ],
            ],
        ],
        'Chartjs' => [
            'active' => false,
            'files' => [
                [
                    'type' => 'js',
                    'asset' => false,
                    'location' => '//cdnjs.cloudflare.com/ajax/libs/Chart.js/2.7.0/Chart.bundle.min.js',
                ],
            ],
        ],
        'Sweetalert2' => [
            'active' => true,
            'files' => [
                [
                    'type' => 'js',
                    'asset' => true,
                    'location' => '//cdn.jsdelivr.net/npm/sweetalert2@8',
                ],
            ],
        ],
        'Pace' => [
            'active' => false,
            'files' => [
                [
                    'type' => 'css',
                    'asset' => false,
                    'location' => '//cdnjs.cloudflare.com/ajax/libs/pace/1.0.2/themes/blue/pace-theme-center-radar.min.css',
                ],
                [
                    'type' => 'js',
                    'asset' => false,
                    'location' => '//cdnjs.cloudflare.com/ajax/libs/pace/1.0.2/pace.min.js',
                ],
            ],
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | IFrame
    |--------------------------------------------------------------------------
    |
    | Here we change the IFrame mode configuration. Note these changes will
    | only apply to the view that extends and enable the IFrame mode.
    |
    | For detailed instructions you can look the iframe mode section here:
    | https://github.com/jeroennoten/Laravel-AdminLTE/wiki/IFrame-Mode-Configuration
    |
    */

    'iframe' => [
        'default_tab' => [
            'url' => null,
            'title' => null,
        ],
        'buttons' => [
            'close' => true,
            'close_all' => true,
            'close_all_other' => true,
            'scroll_left' => true,
            'scroll_right' => true,
            'fullscreen' => true,
        ],
        'options' => [
            'loading_screen' => 1000,
            'auto_show_new_tab' => true,
            'use_navbar_items' => true,
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | Livewire
    |--------------------------------------------------------------------------
    |
    | Here we can enable the Livewire support.
    |
    | For detailed instructions you can look the livewire here:
    | https://github.com/jeroennoten/Laravel-AdminLTE/wiki/Other-Configuration
    |
    */

    'livewire' => false,
];
